Bug 1917453 - perl-Git-Repository-1.324-5.fc34 FTBFS: t/24-errors.t fails 'warnings: 0' test with a new git 2.30.0
Summary: perl-Git-Repository-1.324-5.fc34 FTBFS: t/24-errors.t fails 'warnings: 0' tes...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Git-Repository
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-01-18 14:11 UTC by Petr Pisar
Modified: 2021-02-01 16:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-01 16:25:36 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 133951 0 None None None 2021-01-18 14:19:10 UTC

Description Petr Pisar 2021-01-18 14:11:13 UTC
perl-Git-Repository-1.324-5.fc34 fails to build in Fedora 34 because the tests fails like this:

t/22-backward.t ............ ok
hint: Using 'master' as the name for the initial branch. This default branch name
hint: is subject to change. To configure the initial branch name to use in all
hint: of your new repositories, which will suppress this warning, call:
hint: 
hint: 	git config --global init.defaultBranch <name>
hint: 
hint: Names commonly chosen instead of 'master' are 'main', 'trunk' and
hint: 'development'. The just-created branch can be renamed via this command:
hint: 
hint: 	git branch -m <name> at /builddir/build/BUILD/Git-Repository-1.324/blib/lib/Test/Git.pm line 75.
t/23-quiet.t ............... ok
#   Failed test 'warnings: 0'
#   at t/24-errors.t line 214.
#          got: '1'
#     expected: '0'

A difference between the passing and failing build is at <https://koschei.fedoraproject.org/build/9518052>. An upgrade of git from 2.29.2-4.fc34 to 2.30.0-0.1.rc1.fc34 looks suspicious.

Comment 1 Fedora Release Engineering 2021-01-24 04:23:06 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-15).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 2 Jan Pazdziora 2021-01-24 17:19:37 UTC
Filed upstream as https://github.com/book/Git-Repository/pull/20.

Comment 3 Jan Pazdziora 2021-01-30 12:30:07 UTC
Built perl-Git-Repository-1.324-7.fc34, on its way to rawhide via https://bodhi.fedoraproject.org/updates/FEDORA-2021-0b2d476e66.

Comment 4 Jan Pazdziora 2021-02-01 16:25:36 UTC
The build is now in Fedora rawhide.


Note You need to log in before you can comment on or make changes to this bug.